INTERFACE
SUBROUTINE TRANSINV_WAVELET (KSCALE, PSPA3JB, PSPA2JB, PGP3, PGP2)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NPROMA, NSPEC2, NFLEVL, NFLEVG, NFLSUR,&
 & NUMP, NSMAX 
USE YOMCVA , ONLY : NVA3D, NVA2D
INTEGER(KIND=JPIM),INTENT(IN) :: KSCALE
REAL(KIND=JPRB) ,INTENT(OUT) :: PGP3(:,:,:), PGP2(:,:,:)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPA3JB(NFLSUR,NSPEC2,NVA3D)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPA2JB(NSPEC2,NVA2D)
END SUBROUTINE TRANSINV_WAVELET
END INTERFACE
